<div class="news-warpper">
  <div class="row card-headers">
    <div class="separator" style="width: 100%; height: 20px"></div>
    <div class="col card-title">
      <span>Top global news</span>
    </div>
    <div class="col-auto card-action d-lg-inline d-none">
      <a routerLink="/account/news-articles">View all</a>
    </div>
    <div class="separator" style="width: 100%; height: 12px"></div>
  </div>
  <div class="card-group">
    <ng-container *ngFor="let item of newsList; let i = index">
      <div class="card" (click)="handleNewsClick(item)">
        <div class="card-img-wrap">
          <img
            class="card-img-top"
            [src]="item.image"
            alt="news"
          />
        </div>
        <div class="card-body">
          <span class="card-title">{{ item.headline }}</span>
          <div class="separator" style="width: 100%; height: 12px"></div>
          <span class="card-text">{{ (item.summary.length > newSummarylength)? (item.summary | slice:0:newSummarylength)+'..':(item.summary) }} <a class="text-primary" (click)="handleNewsClick(item)">Read More</a></span>
          <div class="separator" style="width: 100%; height: 12px"></div>
          <span class="card-date"
            >{{ item.createdAt | date: "hh:mm aa" }}</span
          >
        </div>
      </div>
      <div class="separator" style="width: 10px; height: 100%"></div>
    </ng-container>
  </div>
  <div class="separator" style="width: 100%; height: 10px"></div>
  <div class="mobile-btn-common card">
    <button class="btn" routerLink="/account/news-articles">View all</button>
  </div>
</div>
